import request from "@/utils/request";

// 获取企业产品审核列表
export const enterpriseProductApprovalList = (params) =>
  request({
    url: "/business/dataReview/enterpriseProductList",
    method: "get",
    params,
  });
// 获取企业产品审核详情
export const getProductApprovalInfo = (id) =>
  request({
    url: `/business/dataReview/getProductInfo/${id}`,
    method: "get",
  });
// 修改企业产品审核状态
export const updateEnterpriseApprovalProduct = (data) =>
  request({
    url: `/business/dataReview/updateEnterpriseProduct`,
    method: "post",
    data,
  });

// 批量审核企业产品
export const batchEnterpriseProduct = (ids) =>
  request({
    url: `/business/dataReview/batchEnterpriseProduct/${ids}`,
    method: "PUT",
  });

// 批量删除企业产品
export const deleteEnterpriseProduct = (ids) =>
  request({
    url: `/business/dataReview/deleteEnterpriseProduct/${ids}`,
    method: "DELETE",
  });
