import request from "@/utils/request";

// 实验室列表
export function casLaboratoryList(params) {
  return request({
    url: "/business/casLaboratory/list",
    method: "GET",
    params,
  });
}
// 新增
export function casLaboratoryAdd(data) {
  return request({
    url: "/business/casLaboratory",
    method: "POST",
    data,
  });
}
// 修改
export function casLaboratoryUpdate(data) {
  return request({
    url: "/business/casLaboratory",
    method: "PUT",
    data,
  });
}
// id详情
export function casLaboratoryDetail(id) {
  return request({
    url: `/business/casLaboratory/${id}`,
    method: "GET",
  });
}
// 删除
export function casLaboratoryDelete(id) {
  return request({
    url: `/business/casLaboratory`,
    method: "DELETE",
    data: {
      ids: [id],
    },
  });
}

// 导入
export function casLaboratoryImportData(data) {
  return request({
    url: `/business/casLaboratory/importData`,
    method: "POST",
    data,
  });
}
